# $Revision: 1.62 $, $Date: 2003/08/28 15:06:06 $
Summary:	Browser program for the File Transfer Protocol
Summary(de):	NcFTP - ein Textmodus FTP-Client
Summary(es):	Cliente ftp con una interface agradable
Summary(pl):	Zaawansowany klient FTP
Summary(pt_BR):	Cliente ftp com uma interface agradvel
Name:		ncftp
Version:	3.1.6
Release:	1
Epoch:		2
License:	The Clarified Artistic License
Group:		Applications/Networking
Source0:	ftp://ftp.ncftp.com/ncftp/%{name}-%{version}-src.tar.bz2
# Source0-md5:	4324d913499dc735dca961618879d21a
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	ncftpbookmarks.1
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-shared.patch
# based on:	ftp://ftp.kame.net/pub/kame/misc/%{name}-315-v6-20030207.diff.gz
Patch2:		%{name}-ipv6.patch
Patch3:		%{name}-sa_len.patch
Patch4:		%{name}-ac25x.patch
URL:		http://www.ncftp.com/
BuildRequires:	autoconf
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel >= 4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NcFTP is a ftp client with many advantages over the standard one. It
includes command line editing, command histories, support for
recursive gets, automatic logins, background downloading and much
more. This version supports IPv6, too.

%description -l es
ncftp es un cliente ftp con varias ventajas sobre el padrn. Incluye
edicin por lnea de comando, histrico de comandos, logins
automticos, y mucho ms.

%description -l pl
NcFTP jest zaawansowanym klientem ftp. Pozwala na edytowanie linii
komend, zapamituje komendy, potrafi pobiera cae katalogi wraz z
podkatalogami z serwerw ftp, automatycznie logowa si itp. Ta wersja
dodatkowo wspiera IPv6.

%description -l pt_BR
ncftp  um cliente ftp com vrias vantagens sobre o padro. Ele inclui
edio por linha de comando, histrico de comandos, logins
automticos, e muito mais.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
ln -sf autoconf/aclocal.m4 .
%{__autoconf}
CFLAGS="-I/usr/include/ncurses -Dss_family=__ss_family -Dss_len=__ss_len %{rpmcflags}"
CPPFLAGS="-I/usr/include/ncurses -Dss_family=__ss_family -Dss_len=__ss_len %{rpmcflags}"
%configure \
	--enable-ncurses \
	--enable-ipv6

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_pixmapsdir},%{_mandir},%{_applnkdir}/Network/FTP}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}

%{__make} -C libncftp DESTDIR=$RPM_BUILD_ROOT soinstall

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Network/FTP
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt README.v6 doc/{CHAN*,FIRE*,LICENSE,READLINE,what*}.txt
%{_applnkdir}/Network/FTP/ncftp.desktop
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so.*
%{_mandir}/man1/*
%{_pixmapsdir}/ncftp.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ncftp.spec,v $
Revision 1.62  2003/08/28 15:06:06  qboosh
- 3.1.6, updated DESTDIR,ipv6,ac25x patches
- shame, there was no 3.1.5 release for Ra - so this will fix CAN-2002-1345, BTS#658

Revision 1.61  2003/05/28 12:59:50  malekith
- massive attack: source-md5

Revision 1.60  2003/05/25 05:51:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.59  2003/03/30 21:25:37  qboosh
- updated to 3.1.5
- updated v6 patch from kame
- updated DESTDIR,shared,ac25x patches, removed obsolete gcc31 patch

Revision 1.58  2002/11/27 22:06:23  juandon
- new %%doc

Revision 1.57  2002/05/21 23:14:13  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.56  2002/05/08 16:05:54  qboosh
- added ac25x patch needed for ac 2.53

Revision 1.55  2002/05/06 23:36:26  ankry
- added ncftpbookmarks.1 man page from Debian
- release 5

Revision 1.54  2002/02/24 17:08:26  zytek
- added icon founded by google :)
- release 4, STB

Revision 1.53  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.52  2002/01/18 02:14:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.51  2001/12/20 18:33:49  undefine
- working(!) ipv6 patch from ftp.kame.net
- release 3

Revision 1.50  2001/11/19 01:16:25  kloczek
- typo.

Revision 1.49  2001/11/19 01:15:36  kloczek
- release 2,
- merge gcc31 patch from RH,
- merge de translation (from RH spec).

Revision 1.48  2001/11/08 09:50:16  kloczek
- merge translations from CNV.

Revision 1.47  2001/11/08 09:37:58  mkierus
- updated to 3.0.4

Revision 1.46  2001/06/19 16:14:37  qboosh
- updated v6 patch (not tested)

Revision 1.45  2001/06/03 00:37:05  blues
- oops - revert change

Revision 1.44  2001/06/03 00:35:14  blues
- release 2
- added part of patch wvlan stolen from debian

Revision 1.43  2001/05/31 23:27:41  blues
- Licence
- one more macro
- more docs

Revision 1.42  2001/05/31 23:17:13  blues
- 3.0.3
- patch updated
- ipv6 commented out
NOTE: ipv6-patch update needed

Revision 1.41  2001/04/04 22:52:08  blues
- typo

Revision 1.40  2001/04/04 22:15:46  qboosh
- patch to fix sa_len problem
- use %%rpmcflags
- release 3

Revision 1.39  2001/01/25 20:03:25  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.38  2000/12/29 15:35:46  kloczek
- Epoch: 2, release 2 (for allow upgrade from RH version),
- make spec %%{debug} ready.

Revision 1.37  2000/12/28 15:05:21  baggins
- updated to 3.0.2
- updated ipv6 patch
- fixed CFLAGS

Revision 1.36  2000/10/11 19:27:54  kloczek
- release 4: use new rpm automation.

Revision 1.35  2000/07/13 23:16:58  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.34  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.33  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.32  2000/06/07 07:32:37  kloczek
- spec adapterized.

Revision 1.31  2000/06/01 11:41:40  michuz
- release 2
- %%applnkdir changed

Revision 1.30  2000/05/18 16:49:31  misiek
- cleanups && fixes

Revision 1.29  2000/04/07 10:03:41  misiek
- updated

Revision 1.28  2000/04/07 09:55:46  kloczek
- start update to 3.0.1.

Revision 1.27  2000/04/01 11:14:58  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.26  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.25  2000/03/25 10:58:19  alchemyx
- rebuilt with readline 4.1

Revision 1.24  1999/11/19 08:28:22  kloczek
- updated to 3.0beta21 (release 2 - in rawhide is 1),
- build against ncurses 5.0.

Revision 1.23  1999/09/04 09:08:04  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.22  1999/08/19 11:39:49  kloczek
- release 2,
- added desktop file.

Revision 1.21  1999/08/19 11:29:56  kloczek
- cosmetics.

Revision 1.20  1999/07/23 12:46:10  misiek
ipv6 patch

Revision 1.19  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.17  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Jun 24 1999 Michal Margula <alchemyx@pld.org.pl>
  [3.0beta19-1]
- upgraded to beta19
- spec corrected for FHS 2.0
- added BuildPrereq

* Fri Apr 23 1999 Maciej Leniewski <nimir@kis.p.lodz.pl>
  [3.0beta18-2]
- Gzipped docs
- Removed man group from man pages

* Wed Feb 24 1999 Maciej Leniewski <nimir@kis.p.lodz.pl>
  [3.0beta18-1]
- new version,
- updated noroot-patch,
- removed strip in %install macro - not needed.

* Mon Jan 04 1999 PLD-team <pld-list@mailbox.tuniv.szczecin.pl>
  [3.0beta16-2d]
- build for Linux PLD.
